Subject: Re: [PATCH 1/3] cache-tree: Create/update cache-tree on checkout

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Jun 2014 11:13:22 -0700

Duy Nguyen <[email-masked]> writes:

> I wonder if we should do this in !opts->force code path only. In the
> opts->force code path we could use prime_cache_tree() (like
> read-tree), which is supposedly faster...

Nobody sane should be constantly running "checkout -f", so even if
priming from existing tree objects were faster, it would be adding
complexity to the code to optimize for a wrong case.